Debian Bug report logs - #331072
RFP: cinelerra-cv -- non-linear video editor and compositor for Linux

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Riccardo Setti <giskard@autistici.org>

Date: Sat, 1 Oct 2005 13:18:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, riccardo setti <giskard@autistici.org>:
Bug#331072; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Riccardo Setti <giskard@autistici.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, riccardo setti <giskard@autistici.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Riccardo Setti <giskard@autistici.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: cinelerra-cvs -- non-linear video editor and compositor for Linux.
Date: Sat, 01 Oct 2005 15:05:08 +0200
Package: wnpp
Severity: wishlist
Owner: Riccardo Setti <giskard@autistici.org>


* Package name    : cinelerra-cvs
  Version         : 2.0-cvs
  Upstream Author : 
* URL             : http://www.example.org/
* License         : GPL
  Description     : non-linear video editor and compositor for Linux.

Cinelerra, the first Linux based  real-time editing and special effects
system is a revolutionary Open Source HD media editing system.
It  has a number of effects built into the system including
numerous telecine effects,  video special effects including compositing,
and a complete audio effects system.
This is a branched version of Cinelerra sometimes called
Cinelerra-CVS 
.
Please visit cvs.cinelerra.org for more information regarding
this duality.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.13
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, riccardo setti <giskard@autistici.org>:
Bug#331072; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, riccardo setti <giskard@autistici.org>. Full text and rfc822 format available.

Message #10 received at 331072@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Riccardo Setti <giskard@autistici.org>, 331072@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#331072: ITP: cinelerra-cvs -- non-linear video editor and compositor for Linux.
Date: Sat, 1 Oct 2005 15:31:54 +0200
On Sat, Oct 01, 2005 at 03:05:08PM +0200, Riccardo Setti wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Riccardo Setti <giskard@autistici.org>
> 
> 
> * Package name    : cinelerra-cvs
>   Version         : 2.0-cvs
>   Upstream Author : 
> * URL             : http://www.example.org/
> * License         : GPL
>   Description     : non-linear video editor and compositor for Linux.
> 
> Cinelerra, the first Linux based  real-time editing and special effects
> system is a revolutionary Open Source HD media editing system.


You know there has been an RFP on cinelerra itself for a very
long time, almost 5 years.  See bugs.debian.org/78209, 156614,
239570.

Why do you want to have a CVS version from the package if there
even isn't a normal version of it in the archive?


Kurt




Information stored:
Bug#331072; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Tristan Seligmann <mithrandi@mithrandi.za.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #15 received at 331072-quiet@bugs.debian.org (full text, mbox):

From: Tristan Seligmann <mithrandi@mithrandi.za.net>
To: debian-devel@lists.debian.org
Cc: 331072-quiet@bugs.debian.org
Subject: Re: Bug#331072: ITP: cinelerra-cvs -- non-linear video editor and compositor for Linux.
Date: Sat, 1 Oct 2005 16:06:05 +0200
[Message part 1 (text/plain, inline)]
* Kurt Roeckx <kurt@roeckx.be> [2005-10-01 15:31:54 +0200]:

> You know there has been an RFP on cinelerra itself for a very
> long time, almost 5 years.  See bugs.debian.org/78209, 156614,
> 239570.
> 
> Why do you want to have a CVS version from the package if there
> even isn't a normal version of it in the archive?

The information at http://cvs.cinelerra.org/about.html seems to indicate
that the two codebases are at least somewhat separate, so I don't think
the distinction is quite as clear-cut as you make out.
-- 
mithrandi, i Ainil en-Balandor, a faer Ambar
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, riccardo setti <giskard@autistici.org>:
Bug#331072; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Andreas Kuckartz" <A.Kuckartz@ping.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, riccardo setti <giskard@autistici.org>. Full text and rfc822 format available.

Message #20 received at 331072@bugs.debian.org (full text, mbox):

From: "Andreas Kuckartz" <A.Kuckartz@ping.de>
To: "Kurt Roeckx" <kurt@roeckx.be>, 331072@bugs.debian.org
Cc: "Riccardo Setti" <giskard@autistici.org>, debian-devel@lists.debian.org, "64studio-devel@64studio.com" <64studio-devel@64studio.com>
Subject: Re: Bug#331072: ITP: cinelerra-cvs -- non-linear video editor and compositor for Linux.
Date: 1 Oct 2005 17:07:45 +0200
Kurt Roeckx wrote:

>You know there has been an RFP on cinelerra itself for a very
>long time, almost 5 years.  See bugs.debian.org/78209, 156614,
>239570.
>
>Why do you want to have a CVS version from the package if there
>even isn't a normal version of it in the archive?
>  
>

cinelerra is forked. To repeat what Riccardo has written:

"This is a branched version of Cinelerra sometimes called
Cinelerra-CVS 
.
Please visit cvs.cinelerra.org for more information regarding
this duality."


But your reaction proves that the name "cinelerra-cvs" is misleading.

Cheers,
Andreas




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, riccardo setti <giskard@autistici.org>:
Bug#331072; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to 331072@bugs.debian.org, 156614@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, riccardo setti <giskard@autistici.org>. Full text and rfc822 format available.

Message #25 received at 331072@bugs.debian.org (full text, mbox):

From: Holger Levsen <debian@layer-acht.org>
To: Riccardo Setti <giskard@autistici.org>, 331072@bugs.debian.org, debian-devel@lists.debian.org, 156614@bugs.debian.org, broadcast@earthling.net, cinelerra@skolelinux.no
Subject: Re: Bug#331072: ITP: cinelerra-cvs -- non-linear video editor and compositor for Linux.
Date: Wed, 5 Oct 2005 20:39:54 +0200
[Message part 1 (text/plain, inline)]
Hi,

please respect the reply-to: and subscribe to the bugs if you're interested in 
solving them... Thanks.

On Saturday 01 October 2005 15:05, Riccardo Setti wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Riccardo Setti <giskard@autistici.org>
>
>
> * Package name    : cinelerra-cvs
>   Version         : 2.0-cvs
>   Upstream Author :

Besides the original upstream (Heroine Virtual Ltd <broadcast@earthling.net>) 
the people at http://cvs.cinelerra.org/devcorner/cvswrite.html (or the URL 
itself) should be mentioned.


> * URL             : http://www.example.org/

This should be changed to http://cvs.cinelerra.org

> This is a branched version of Cinelerra sometimes called
> Cinelerra-CVS

I dont think it's useful (at the moment) to have both versions of cinelerra in 
Debian. So #78209, #156614 and #239570 could be closed.

OTOH, it's a seperatly maintained fork, so maybe not. What do you think ?

BTW, IMHO it would really be a good idea to change that name. Maintainers of 
cinelerra-cvs, what do you think ? Cinelerra has also been renamed in the 
past :-)


On Saturday 01 October 2005 15:44, Sam Hocevar wrote:
>    Be careful, more than 1000 Cinelerra source files do not have a
> proper license, a dozen are copyrighted by the MPEG group, another dozen
> are under the old ugly OpenDivX license, and you have many additional
> strange licensing terms in some files (such as free to copy and modify,
> but not to redistribute).

Sam gave me a list with his investigation of the cinelerra-cvs, I have 
attached it. What strikes me most, is the lack of licences for 15% of the 
whole sourcecode. (1013 out of 6631 (Sam's list from 2004-04-25 / my 
cvs-checkout from monday). 

Since this investigation is a year old, I would like to ask upstream and the 
maintainers of the fork to comment on the current situation. Have those 
issues been addressed ? (Yes, i'm too lazy to check this myself now. Thats why 
I'm asking the people who should know whether they did that work ;)


>    Are you in touch with Holger Levsen <holger@layer-acht.org>? We
> talked about Cinelerra at the QA miniconf and I sent him a list of
> problematic source files I had gathered. He is in touch with other
> people interested in packaging Cinelerra.

I've not really got into touch with the cinelerra-cvs community yet, "only" 
with Herman Robak (who is deeply involved in cinelerra-cvs)... With this  
mail I try to address the issues and connect the people who could have an 
interest in solving them. 

http://www.heroinewarrior.com/support.php3 ("real" upstream) mentions the fork 
on their support/harrassment page, so I tend to think, they're somewhat happy 
about it... 

Another big problem: Currently the build requirements for the debian packages 
provided from cinelerra-cvs (see 
http://cvs.cinelerra.org/getting_cinelerra.html or 
http://developer.skolelinux.no/cgi-bin/viewcvs.cgi/*checkout*/external/cinelerra/hvirtual/README.BUILD?rev=HEAD&content-type=text/plain
) include a number of packages which are not in Debian but distributed via 
ftp://ftp.nerim.net/debian-marillat/ - I hope that it will be possible to 
create a cinelerra version, which works with free codecs from Debian proper 
only, and still can use additional codecs from marillat. 

I know that this most probably will be a long journey or even impossible - but 
if this _is_ impossible I would like to spread the word, so there is an 
incentive to work on a truly free tool for editing videos.

Please reply if you want to help on this. If this gets started, we could 
create an alioth-project to group-maintain cinelerra-cvs, but for discussing 
those details it's currently too early IMHO.


regards,
	Holger (subscribed to those bugs and cinelerra-cvs..)
[cinelerra-cvs-sources.txt (text/plain, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, riccardo setti <giskard@autistici.org>:
Bug#331072; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to giskard <giskard@autistici.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, riccardo setti <giskard@autistici.org>. Full text and rfc822 format available.

Message #30 received at 331072@bugs.debian.org (full text, mbox):

From: giskard <giskard@autistici.org>
To: 156614@bugs.debian.org, 331072@bugs.debian.org
Cc: debian-devel@lists.debian.org, broadcast@earthling.net, cinelerra@skolelinux.no
Subject: Re: Bug#331072: ITP: cinelerra-cvs -- non-linear video editor and compositor for Linux.
Date: Wed, 05 Oct 2005 21:59:04 +0200
[Message part 1 (text/plain, inline)]
Il giorno mer, 05/10/2005 alle 20.39 +0200, Holger Levsen ha scritto:
hello,
> Hi,
> Besides the original upstream (Heroine Virtual Ltd <broadcast@earthling.net>) 
> the people at http://cvs.cinelerra.org/devcorner/cvswrite.html (or the URL 
> itself) should be mentioned.

i don't know :) probably you are in right. i fogot it. sorry.

> > * URL             : http://www.example.org/
> 
> This should be changed to http://cvs.cinelerra.org

same.

> > This is a branched version of Cinelerra sometimes called
> > Cinelerra-CVS
> 
> I dont think it's useful (at the moment) to have both versions of cinelerra in 
> Debian. So #78209, #156614 and #239570 could be closed.

alredy close (see damog's mail in d-d-a).

> OTOH, it's a seperatly maintained fork, so maybe not. What do you think ?
> 
> BTW, IMHO it would really be a good idea to change that name. Maintainers of 
> cinelerra-cvs, what do you think ? Cinelerra has also been renamed in the 
> past :-)

afaik we will discuss it in the next weeks, months, years :)

> On Saturday 01 October 2005 15:44, Sam Hocevar wrote:
> >    Be careful, more than 1000 Cinelerra source files do not have a
> > proper license, a dozen are copyrighted by the MPEG group, another dozen
> > are under the old ugly OpenDivX license, and you have many additional
> > strange licensing terms in some files (such as free to copy and modify,
> > but not to redistribute).
> 
> Sam gave me a list with his investigation of the cinelerra-cvs, I have 
> attached it. What strikes me most, is the lack of licences for 15% of the 
> whole sourcecode. (1013 out of 6631 (Sam's list from 2004-04-25 / my 
> cvs-checkout from monday). 
> Since this investigation is a year old, I would like to ask upstream and the 
> maintainers of the fork to comment on the current situation. Have those 
> issues been addressed ? (Yes, i'm too lazy to check this myself now. Thats why 
> I'm asking the people who should know whether they did that work ;)

we start talking about this issue last week. 

> Another big problem: Currently the build requirements for the debian packages 
> provided from cinelerra-cvs (see 
> http://cvs.cinelerra.org/getting_cinelerra.html or 
> http://developer.skolelinux.no/cgi-bin/viewcvs.cgi/*checkout*/external/cinelerra/hvirtual/README.BUILD?rev=HEAD&content-type=text/plain
> ) include a number of packages which are not in Debian but distributed via 
> ftp://ftp.nerim.net/debian-marillat/ - I hope that it will be possible to 
> create a cinelerra version, which works with free codecs from Debian proper 
> only, and still can use additional codecs from marillat. 

afaik it could be possible, we are working on it.

a the moment cinelerra-cvs supports the encode to ogg/theora.
 
> I know that this most probably will be a long journey or even impossible - but 
> if this _is_ impossible I would like to spread the word, so there is an 
> incentive to work on a truly free tool for editing videos.

:)

> regards,
> 	Holger (subscribed to those bugs and cinelerra-cvs..)
-- 
ciao giskard

non ho peli sulla lingua. e se ce li ho... non sono miei.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, riccardo setti <giskard@autistici.org>:
Bug#331072; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <debian@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, riccardo setti <giskard@autistici.org>. Full text and rfc822 format available.

Message #35 received at 331072@bugs.debian.org (full text, mbox):

From: Holger Levsen <debian@layer-acht.org>
To: 331072@bugs.debian.org, cinelerra@skolelinux.no
Subject: Re: Bug#331072: ITP: cinelerra-cvs -- non-linear video editor and compositor for Linux.
Date: Wed, 4 Oct 2006 12:29:38 +0200
[Message part 1 (text/plain, inline)]
Hi,

wow, almost exactly one year :-/

On Wednesday 05 October 2005 21:59, giskard wrote:
...


I was reminded of this issue when I saw that #156614 was closed (an RFP for 
cinelerra). 

A while ago cinelerra(-cvs) 2.1 has been released and I would like to know if 
the issues described in this bug (see 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=331072) and specifically the 
licence-issues listed in 
http://bugs.debian.org/cgi-bin/bugreport.cgi/cinelerra-cvs-sources.txt?bug=331072;msg=25;att=1
have been fixed.


regards,
	Holger



[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, riccardo setti <giskard@autistici.org>:
Bug#331072; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Herman Robak" <herman@skolelinux.no>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, riccardo setti <giskard@autistici.org>. Full text and rfc822 format available.

Message #40 received at 331072@bugs.debian.org (full text, mbox):

From: "Herman Robak" <herman@skolelinux.no>
To: cinelerra@skolelinux.no
Cc: "Holger Levsen" <debian@layer-acht.org>, 331072@bugs.debian.org
Subject: Re: [CinCVS] Re: Bug#331072: ITP: cinelerra-cvs -- non-linear video editor and compositor for Linux.
Date: Wed, 04 Oct 2006 15:49:18 +0200
On Wed, 04 Oct 2006 12:29:38 +0200, Holger Levsen <debian@layer-acht.org>  
wrote:

> A while ago cinelerra(-cvs) 2.1 has been released and I would like to  
> know if the issues described in this bug (see
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=331072) and  
> specifically the
> licence-issues listed in
> http://bugs.debian.org/cgi-bin/bugreport.cgi/cinelerra-cvs-sources.txt?bug=331072;msg=25;att=1
> have been fixed.

 Hardly.  The strongest itch for the users and coders on the <cinelerra at  
skolelinux>
mailing list is getting desired features and losing annoying bugs.  After  
that comes
better usability and documentation.  Licensing issues are "if we ever get  
around to it"
stuff. :-(

 Suggested action: If you, Holger, could infer what the correct license  
_should_ be
for each file, based on other files in the same package or library and  
sound
judgement, you could add those licences as a patch.  The patch should be  
made against
the upstream (the sources from heroines.sourceforge.net) and sent to the  
upstream
author broadcast@earthling.net, with a brief comment.

 Then cross fingers and wait...  If upstream accepts the licence patch,  
rejoice, we
can have Cinelerra adopted by license-concious distros like Debian.  If  
not... well,
let's not decide what to do in that case yet.

 Merging the license patch with Cinelerra-CV should not cause many  
conflicts,
so I am sure that our great Subversion mongers would be happy to help with  
that. :-)

-- 
Herman Robak



Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Riccardo Setti <giskard@autistici.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #45 received at 331072-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 331072-done@bugs.debian.org
Subject: WNPP bug closing
Date: Mon, 08 Oct 2007 11:59:30 -0600
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 331072
 stop

Further comments on the work done in the bug sent to
331072@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Bug reopened, originator not changed. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Mon, 08 Oct 2007 18:51:02 GMT) Full text and rfc822 format available.

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. (Wed, 08 Oct 2008 18:06:08 GMT) Full text and rfc822 format available.

Notification sent to Riccardo Setti <giskard@autistici.org>:
Bug acknowledged by developer. (Wed, 08 Oct 2008 18:06:08 GMT) Full text and rfc822 format available.

Message #52 received at 331072-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 331072-done@bugs.debian.org
Subject: WNPP bug closing
Date: Wed, 08 Oct 2008 11:59:31 -0600
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 331072
 stop

Further comments on the work done in the bug sent to
331072@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Bug reopened, originator not changed. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Wed, 08 Oct 2008 19:39:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, riccardo setti <giskard@autistici.org>:
Bug#331072; Package wnpp. (Thu, 04 Dec 2008 22:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic RESLINGER <lr@cuivres.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, riccardo setti <giskard@autistici.org>. (Thu, 04 Dec 2008 22:57:03 GMT) Full text and rfc822 format available.

Message #59 received at 331072@bugs.debian.org (full text, mbox):

From: Ludovic RESLINGER <lr@cuivres.net>
To: control@bugs.debian.org
Cc: 331072@bugs.debian.org
Subject: ITP: cinelerra-cv -- non-linear video editor and compositor for Linux
Date: Thu, 4 Dec 2008 23:55:54 +0100
retitle 331072 ITP: cinelerra-cv -- non-linear video editor and compositor for Linux
owner 331072 Ludovic RESLINGER <lr@cuivres.net>
thanks

I am adopting this package, because I am often using it, and
I think it will be good to add it in Debian.
Regards,
-- 
     .---.      Ludovic RESLINGER
    /     \
    \.@-@./     Free Software Developer
    /`\_/`\     Musician
   // )X( \\
  | \  :  )|_                   _,'|   .''`.
 /`\_`>  <_/ \ @======TTT=====::_  |  : :'  :
 \__/'---'\__/   ((_<=HHH___))   `.|  `. `'`
                  `---UUU---'=>         `-




Changed Bug title to `ITP: cinelerra-cv -- non-linear video editor and compositor for Linux' from `ITP: cinelerra-cvs -- non-linear video editor and compositor for Linux.'. Request was from Ludovic RESLINGER <lr@cuivres.net> to control@bugs.debian.org. (Thu, 04 Dec 2008 22:57:07 GMT) Full text and rfc822 format available.

Owner changed from riccardo setti <giskard@autistici.org> to Ludovic RESLINGER <lr@cuivres.net>. Request was from Ludovic RESLINGER <lr@cuivres.net> to control@bugs.debian.org. (Thu, 04 Dec 2008 22:57:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Ludovic RESLINGER <lr@cuivres.net>:
Bug#331072; Package wnpp. (Fri, 05 Dec 2008 12:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Ludovic RESLINGER <lr@cuivres.net>. (Fri, 05 Dec 2008 12:06:03 GMT) Full text and rfc822 format available.

Message #68 received at 331072@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 331072@bugs.debian.org, Ludovic RESLINGER <lr@cuivres.net>
Subject: Re: Bug#331072: ITP: cinelerra-cv -- non-linear video editor and compositor for Linux
Date: Fri, 5 Dec 2008 13:04:36 +0100
[Message part 1 (text/plain, inline)]
Hi Ludovic,

On Thursday 04 December 2008 23:55, Ludovic RESLINGER wrote:
> I am adopting this package, because I am often using it, and
> I think it will be good to add it in Debian.

Cheers!

Which version control system to you plan to use for the packaging?

Have you looked into the packaging problems which are the reasons why 
cinelerra hasnt made it into Debian so far?


regards,
	Holger

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#331072; Package wnpp. (Fri, 05 Dec 2008 16:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic RESLINGER <lr@cuivres.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 05 Dec 2008 16:54:07 GMT) Full text and rfc822 format available.

Message #73 received at 331072@bugs.debian.org (full text, mbox):

From: Ludovic RESLINGER <lr@cuivres.net>
To: Holger Levsen <holger@layer-acht.org>, 331072@bugs.debian.org
Subject: Re: Bug#331072: ITP: cinelerra-cv -- non-linear video editor and compositor for Linux
Date: Fri, 05 Dec 2008 17:51:14 +0100
Holger Levsen a écrit :
> Cheers!
> 
> Which version control system to you plan to use for the packaging?
> 
> Have you looked into the packaging problems which are the reasons why 
> cinelerra hasnt made it into Debian so far?
> 
> 
> regards,
> 	Holger
> 

Hello Holger,

I think to use the Cinelerra-CV version for packaging because it seems
to be a more stable version with a community of developers who works
to correct some bugs on Herroinewarrior version. I think it would be
the best choise for debian package.

Yes, I looked into the packaging problems. I'm going to try a solution
for this problem of licences.

Regards,
-- 
     .---.      Ludovic RESLINGER
    /     \
    \.@-@./     Free Software Developer
    /`\_/`\     Musician
   // )X( \\
  | \  :  )|_                   _,'|   .''`.
 /`\_`>  <_/ \ @======TTT=====::_  |  : :'  :
 \__/'---'\__/   ((_<=HHH___))   `.|  `. `'`
                  `---UUU---'=>         `-




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Ludovic RESLINGER <lr@cuivres.net>:
Bug#331072; Package wnpp. (Fri, 05 Dec 2008 17:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Ludovic RESLINGER <lr@cuivres.net>. (Fri, 05 Dec 2008 17:57:02 GMT) Full text and rfc822 format available.

Message #78 received at 331072@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 331072@bugs.debian.org, Ludovic RESLINGER <lr@cuivres.net>
Subject: Re: Bug#331072: ITP: cinelerra-cv -- non-linear video editor and compositor for Linux
Date: Fri, 5 Dec 2008 18:54:26 +0100
[Message part 1 (text/plain, inline)]
Hi Ludovic,

On Friday 05 December 2008 17:51, Ludovic RESLINGER wrote:
> I think to use the Cinelerra-CV version for packaging because it seems
> to be a more stable version with a community of developers who works
> to correct some bugs on Herroinewarrior version. I think it would be
> the best choise for debian package.

Yup, sure. I ment, which version control system, like svn or git are you 
planning to use and where do you plan to host it. alioth?

> Yes, I looked into the packaging problems. I'm going to try a solution
> for this problem of licences.

Great!

If you need help, feel free to ping me via debian-mentors@l.d.o ;) (I prefer 
the list so you dont have to rely on _me_.) I'd also be willing to sponsor 
your package once it's ready :)


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Ludovic RESLINGER <lr@cuivres.net>:
Bug#331072; Package wnpp. (Sun, 07 Dec 2008 09:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Marillat <marillat@free.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Ludovic RESLINGER <lr@cuivres.net>. (Sun, 07 Dec 2008 09:39:06 GMT) Full text and rfc822 format available.

Message #83 received at 331072@bugs.debian.org (full text, mbox):

From: Christian Marillat <marillat@free.fr>
To: Ludovic RESLINGER <lr@cuivres.net>
Cc: 331072@bugs.debian.org, Holger Levsen <holger@layer-acht.org>
Subject: Re: Bug#331072: ITP: cinelerra-cv -- non-linear video editor and compositor for Linux
Date: Sun, 07 Dec 2008 10:36:39 +0100
Ludovic RESLINGER <lr@cuivres.net> writes:

[...]

> I think to use the Cinelerra-CV version for packaging because it seems
> to be a more stable version with a community of developers who works
> to correct some bugs on Herroinewarrior version. I think it would be
> the best choise for debian package.
>
> Yes, I looked into the packaging problems. I'm going to try a solution
> for this problem of licences.

As usual in Debian a program like Cinelerra-CV without mpeg2, mp3, aac
or x264 encoding is useless.

Christian




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Ludovic RESLINGER <lr@cuivres.net>:
Bug#331072; Package wnpp. (Fri, 06 Feb 2009 11:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philippe Coval <rzr@users.sf.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Ludovic RESLINGER <lr@cuivres.net>. (Fri, 06 Feb 2009 11:39:02 GMT) Full text and rfc822 format available.

Message #88 received at 331072@bugs.debian.org (full text, mbox):

From: Philippe Coval <rzr@users.sf.net>
To: 331072@bugs.debian.org
Subject: debian + cinelerra + theora rocks
Date: Fri, 06 Feb 2009 12:34:40 +0100
[Message part 1 (text/plain, inline)]
>As usual in Debian a program like Cinelerra-CV without mpeg2, mp3, aac
> or x264 encoding is useless.

Well I managed to make a couple of videos
using theora+vorbis as input and outpout and it works ..

look yourself if it matters :

http://en.theorasea.org/search.php?search=rzr

If the problem remains in fonts licencing , this sounds not like a big issue

Finally thanks to Christian for his work on d-m.org

Regards

-- 
  #  Philippe Coval     mailto:rzr[a]users.sf.net    pgp:0x467094BC  #
  #  http://rzr.online.fr/contribs.htm xmpp:rzr[a]jabber.fr irc:RzR  #


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Ludovic RESLINGER <lr@cuivres.net>:
Bug#331072; Package wnpp. (Sun, 15 Feb 2009 07:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Marillat <marillat@free.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Ludovic RESLINGER <lr@cuivres.net>. (Sun, 15 Feb 2009 07:45:02 GMT) Full text and rfc822 format available.

Message #93 received at 331072@bugs.debian.org (full text, mbox):

From: Christian Marillat <marillat@free.fr>
To: Philippe Coval <rzr@users.sf.net>
Cc: 331072@bugs.debian.org
Subject: Re: Bug#331072: debian + cinelerra + theora rocks
Date: Sun, 15 Feb 2009 08:43:37 +0100
Philippe Coval <rzr@users.sf.net> writes:

>>As usual in Debian a program like Cinelerra-CV without mpeg2, mp3, aac
>> or x264 encoding is useless.
>
> Well I managed to make a couple of videos
> using theora+vorbis as input and outpout and it works ..

And you are playing this file where ? Most DVD player are unable to
read this file. Completely useless.

Christian




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Ludovic RESLINGER <lr@cuivres.net>:
Bug#331072; Package wnpp. (Thu, 19 Feb 2009 15:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Ludovic RESLINGER <lr@cuivres.net>. (Thu, 19 Feb 2009 15:00:08 GMT) Full text and rfc822 format available.

Message #98 received at 331072@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 331072@bugs.debian.org
Subject: Re: Bug#331072: debian + cinelerra + theora rocks
Date: Thu, 19 Feb 2009 15:57:03 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Sonntag, 15. Februar 2009, Christian Marillat wrote:
> And you are playing this file where ? Most DVD player are unable to
> read this file. Completely useless.

http://meetings-archive.debian.net/pub/debian-meetings/ contains 393 GB of 
videos, most of it in ogg theora. And AFAIK many people think those videos 
are very useful.

:-)


regards,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Ludovic RESLINGER <lr@cuivres.net>:
Bug#331072; Package wnpp. (Thu, 19 Feb 2009 19:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Marillat <marillat@free.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Ludovic RESLINGER <lr@cuivres.net>. (Thu, 19 Feb 2009 19:30:02 GMT) Full text and rfc822 format available.

Message #103 received at 331072@bugs.debian.org (full text, mbox):

From: Christian Marillat <marillat@free.fr>
To: Holger Levsen <holger@layer-acht.org>
Cc: 331072@bugs.debian.org
Subject: Re: Bug#331072: debian + cinelerra + theora rocks
Date: Thu, 19 Feb 2009 20:26:43 +0100
Holger Levsen <holger@layer-acht.org> writes:

> Hi,
>
> On Sonntag, 15. Februar 2009, Christian Marillat wrote:
>> And you are playing this file where ? Most DVD player are unable to
>> read this file. Completely useless.
>
> http://meetings-archive.debian.net/pub/debian-meetings/ contains 393 GB of 
> videos, most of it in ogg theora. And AFAIK many people think those videos 
> are very useful.

Video for geeks ?

Christian




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Ludovic RESLINGER <lr@cuivres.net>:
Bug#331072; Package wnpp. (Fri, 20 Feb 2009 00:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Ludovic RESLINGER <lr@cuivres.net>. (Fri, 20 Feb 2009 00:27:02 GMT) Full text and rfc822 format available.

Message #108 received at 331072@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 331072@bugs.debian.org
Subject: Re: Bug#331072: debian + cinelerra + theora rocks
Date: Fri, 20 Feb 2009 01:25:16 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Donnerstag, 19. Februar 2009, Christian Marillat wrote:
> > http://meetings-archive.debian.net/pub/debian-meetings/ contains 393 GB
> > of videos, most of it in ogg theora. And AFAIK many people think those
> > videos are very useful.
> Video for geeks ?

Icweasel / Firefox 3.1 is supposed to have Ogg and Theora & Vorbis codecs on 
all platforms.


regards,
	Holger

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Ludovic RESLINGER <lr@cuivres.net>:
Bug#331072; Package wnpp. (Fri, 20 Feb 2009 01:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Ludovic RESLINGER <lr@cuivres.net>. (Fri, 20 Feb 2009 01:18:02 GMT) Full text and rfc822 format available.

Message #113 received at 331072@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 331072@bugs.debian.org
Subject: Re: Bug#331072: debian + cinelerra + theora rocks
Date: Fri, 20 Feb 2009 02:10:54 +0100
[Message part 1 (text/plain, inline)]
On Freitag, 20. Februar 2009, Holger Levsen wrote:
> Icweasel / Firefox 3.1 is supposed to have Ogg and Theora & Vorbis codecs
> on all platforms.

Oh, and this cool new linux thingy supports ogg theora since ages :)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Ludovic RESLINGER <lr@cuivres.net>:
Bug#331072; Package wnpp. (Fri, 20 Feb 2009 01:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Ludovic RESLINGER <lr@cuivres.net>. (Fri, 20 Feb 2009 01:21:02 GMT) Full text and rfc822 format available.

Message #118 received at 331072@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 331072@bugs.debian.org
Subject: Re: Bug#331072: debian + cinelerra + theora rocks
Date: Fri, 20 Feb 2009 02:18:14 +0100
[Message part 1 (text/plain, inline)]
Hi Christian,

as you (hopefully!) I appreciate your efforts for debian-multimedia.o very 
much, but why do you riculouse (speling?) this effort? Supporting free codecs 
with free software is very worthwhile!


regards,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Ludovic RESLINGER <lr@cuivres.net>:
Bug#331072; Package wnpp. (Fri, 20 Feb 2009 10:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Marillat <marillat@free.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Ludovic RESLINGER <lr@cuivres.net>. (Fri, 20 Feb 2009 10:54:03 GMT) Full text and rfc822 format available.

Message #123 received at 331072@bugs.debian.org (full text, mbox):

From: Christian Marillat <marillat@free.fr>
To: Holger Levsen <holger@layer-acht.org>
Cc: 331072@bugs.debian.org
Subject: Re: Bug#331072: debian + cinelerra + theora rocks
Date: Fri, 20 Feb 2009 11:52:39 +0100
Holger Levsen <holger@layer-acht.org> writes:

> Hi Christian,

Hi,

> as you (hopefully!) I appreciate your efforts for debian-multimedia.o very 
> much, but why do you riculouse (speling?) this effort? Supporting free codecs 
> with free software is very worthwhile!

I've never said that. I'm just saying that theroa video are not
playable on all devices. Devices for me is not a computer but a DVD
player. Without MPEG2, Xvid, Divx encoding cinelerra is useless.

http://en.wikipedia.org/wiki/DVD_player

Christian




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ludovic RESLINGER <lr@cuivres.net>:
Bug#331072; Package wnpp. (Tue, 25 May 2010 17:21:50 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ludovic RESLINGER <lr@cuivres.net>. (Tue, 25 May 2010 17:21:50 GMT) Full text and rfc822 format available.

Message #128 received at 331072@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 331072@bugs.debian.org
Cc: control@bugs.debian.org
Subject: cinelerra-cv: changing back from ITP to RFP
Date: Tue, 25 May 2010 17:06:07 +0000
retitle 331072 RFP: cinelerra-cv -- non-linear video editor and compositor for Linux
noowner 331072
thanks

Hi,

This is an automatic email to change the status of cinelerra-cv back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting cinelerra-cv, please send a mail to
<control@bugs.debian.org> with:

 retitle 331072 ITP: cinelerra-cv -- non-linear video editor and compositor for Linux
 owner 331072 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <331072@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: cinelerra-cv -- non-linear video editor and compositor for Linux' from 'ITP: cinelerra-cv -- non-linear video editor and compositor for Linux' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:26:34 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Ludovic RESLINGER <lr@cuivres.net>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:26:34 GMT) Full text and rfc822 format available.

Owner recorded as Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Tue, 15 Mar 2011 15:09:11 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: cinelerra-cv -- non-linear video editor and compositor for Linux' from 'RFP: cinelerra-cv -- non-linear video editor and compositor for Linux' Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Tue, 15 Mar 2011 15:09:13 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 331072: 515850 Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Fri, 20 May 2011 08:42:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#331072; Package wnpp. (Mon, 27 May 2013 13:31:58 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 27 May 2013 13:31:59 GMT) Full text and rfc822 format available.

Message #143 received at 331072@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 331072@bugs.debian.org
Cc: control@bugs.debian.org
Subject: cinelerra-cv: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:25 +0200
retitle 331072 RFP: cinelerra-cv -- non-linear video editor and compositor for Linux
noowner 331072
tag 331072 - pending
thanks

Hi,

This is an automatic email to change the status of cinelerra-cv back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting cinelerra-cv, please send a mail to
<control@bugs.debian.org> with:

 retitle 331072 ITP: cinelerra-cv -- non-linear video editor and compositor for Linux
 owner 331072 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <331072@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: cinelerra-cv -- non-linear video editor and compositor for Linux' from 'ITP: cinelerra-cv -- non-linear video editor and compositor for Linux' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:50:59 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:51:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:52:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.